Subject: Re: bug#30955: 27.0.50; Mouse clicks on header-line in Info are broken

From: Colin Baxter <[email-masked]>
Date: Sat, 31 Mar 2018 21:55:36 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> From: Colin Baxter <[email-masked]> Cc: Stefan Monnier
    >> <[email-masked]>, [email-masked] Cc: Date: Sat,
    >> 31 Mar 2018 19:56:30 +0100
    >> 
    >> > AFAICT, this patch is now installed on master, but I still see
    >> the > same issue: "C-h c" reports mouse-2 whereas I click
    >> mouse-1.  Was > this issue supposed to be resolved, and if so,
    >> what am I missing?
    >> 
    >> For me, C-h c gives mouse-1 for the left-hand button (mouse 1)
    >> and mouse-3 for the right-hand button (mouse 3).

    > Maybe it's a Windows-specific issue, then.

    > But just to be sure: can you describe the exact sequence of steps
    > you are taking, starting from "emacs -Q"?  In particular, are you
    > clicking on the Next/Prev/Up links of the header-line in an Info
    > buffer?

1. src/emacs -Q
2. M-x info
3. Click "emacs", for example, with left button (mouse-1).
4. Click Up: (dir) with left button (mouse-1)
   takes me back to Info Directory.
5. Click "Emacs Lisp Intro:", as another example, with left button
   (mouse-1)
6. Navigate down and up (clicking Prev: or Up:), all with mouse-1.

Hope this helps.